Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl.handler
Class HelloMessageHandler

    java.lang.Object
      be.fedict.eid.applet.service.impl.handler.HelloMessageHandler

All Implemented Interfaces:
  MessageHandler<be.fedict.eid.applet.shared.HelloMessage>

    @HandlesMessage(value=be.fedict.eid.applet.shared.HelloMessage.class)
    public class HelloMessageHandler

extends Object
implements MessageHandler<be.fedict.eid.applet.shared.HelloMessage>

Message handler for hello message.

Author:
  Frank Cornelis

Field Summary
`static String` | `CHANGE_PIN_INIT_PARAM_NAME`
`static String` | `CHANNEL_BINDING_SERVER_CERTIFICATE`
`static String` | `CHANNEL_BINDING_SERVICE`
`static String` | `DIAGNOSTIC_MODE_INIT_PARAM_NAME`
`static String` | `HOSTNAME_INIT_PARAM_NAME`
`static String` | `IDENTITY_INTEGRITY_SERVICE_INIT_PARAM_NAME`
`static String` | `IDENTITY_SERVICE_INIT_PARAM_NAME`
`static String` | `INCLUDE_ADDRESS_INIT_PARAM_NAME`
`static String` | `INCLUDE_CERTS_INIT_PARAM_NAME`
`static String` | `INCLUDE_IDENTITY_INIT_PARAM_NAME`
`static String` | `INCLUDE_PHOTO_INIT_PARAM_NAME`
`static String` | `INET_ADDRESS_INIT_PARAM_NAME`
`static String` | `KIOSK_INIT_PARAM_NAME`
`static String` | `LOGOFF_INIT_PARAM_NAME`
`static String` | `NO_PKCS11_INIT_PARAM_NAME`
`static String` | `PRE_LOGOFF_INIT_PARAM_NAME`
`static String` | `PRIVACY_SERVICE_INIT_PARAM_NAME`
`static String` | `REMOVE_CARD_INIT_PARAM_NAME`
`static String` | `REQUIRE_SECURE_READER_INIT_PARAM_NAME`
`static String` | `SECURE_CLIENT_ENV_SERVICE_INIT_PARAM_NAME`
`static String` | `SESSION_ID_CHANNEL_BINDING_INIT_PARAM_NAME`
`static String` | `SIGNATURE_SERVICE_INIT_PARAM_NAME`
`static String` | `UNBLOCK_PIN_INIT_PARAM_NAME`

Constructor Summary
`HelloMessageHandler()`

Method Summary
`static String` | `getClientLanguage(HttpSession httpSession)`
`Object` | `handleMessage(be.fedict.eid.applet.shared.HelloMessage message, Map<String,String> httpHeaders, HttpServletRequest request, HttpSession session)` Handles the given message.
`void` | `init(ServletConfig config)` Initializes this message handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCLUDE_IDENTITY_INIT_PARAM_NAME

    public static final String INCLUDE_IDENTITY_INIT_PARAM_NAME

See Also:
  Constant Field Values

### INCLUDE_PHOTO_INIT_PARAM_NAME

    public static final String INCLUDE_PHOTO_INIT_PARAM_NAME

See Also:
  Constant Field Values

### INCLUDE_CERTS_INIT_PARAM_NAME

    public static final String INCLUDE_CERTS_INIT_PARAM_NAME

See Also:
  Constant Field Values

### INCLUDE_ADDRESS_INIT_PARAM_NAME

    public static final String INCLUDE_ADDRESS_INIT_PARAM_NAME

See Also:
  Constant Field Values

### SECURE_CLIENT_ENV_SERVICE_INIT_PARAM_NAME

    public static final String SECURE_CLIENT_ENV_SERVICE_INIT_PARAM_NAME

See Also:
  Constant Field Values

### IDENTITY_INTEGRITY_SERVICE_INIT_PARAM_NAME

    public static final String IDENTITY_INTEGRITY_SERVICE_INIT_PARAM_NAME

See Also:
  Constant Field Values

### SIGNATURE_SERVICE_INIT_PARAM_NAME

    public static final String SIGNATURE_SERVICE_INIT_PARAM_NAME

See Also:
  Constant Field Values

### PRIVACY_SERVICE_INIT_PARAM_NAME

    public static final String PRIVACY_SERVICE_INIT_PARAM_NAME

See Also:
  Constant Field Values

### REMOVE_CARD_INIT_PARAM_NAME

    public static final String REMOVE_CARD_INIT_PARAM_NAME

See Also:
  Constant Field Values

### HOSTNAME_INIT_PARAM_NAME

    public static final String HOSTNAME_INIT_PARAM_NAME

See Also:
  Constant Field Values

### INET_ADDRESS_INIT_PARAM_NAME

    public static final String INET_ADDRESS_INIT_PARAM_NAME

See Also:
  Constant Field Values

### CHANGE_PIN_INIT_PARAM_NAME

    public static final String CHANGE_PIN_INIT_PARAM_NAME

See Also:
  Constant Field Values

### UNBLOCK_PIN_INIT_PARAM_NAME

    public static final String UNBLOCK_PIN_INIT_PARAM_NAME

See Also:
  Constant Field Values

### LOGOFF_INIT_PARAM_NAME

    public static final String LOGOFF_INIT_PARAM_NAME

See Also:
  Constant Field Values

### PRE_LOGOFF_INIT_PARAM_NAME

    public static final String PRE_LOGOFF_INIT_PARAM_NAME

See Also:
  Constant Field Values

### KIOSK_INIT_PARAM_NAME

    public static final String KIOSK_INIT_PARAM_NAME

See Also:
  Constant Field Values

### SESSION_ID_CHANNEL_BINDING_INIT_PARAM_NAME

    public static final String SESSION_ID_CHANNEL_BINDING_INIT_PARAM_NAME

See Also:
  Constant Field Values

### CHANNEL_BINDING_SERVER_CERTIFICATE

    public static final String CHANNEL_BINDING_SERVER_CERTIFICATE

See Also:
  Constant Field Values

### CHANNEL_BINDING_SERVICE

    public static final String CHANNEL_BINDING_SERVICE

See Also:
  Constant Field Values

### REQUIRE_SECURE_READER_INIT_PARAM_NAME

    public static final String REQUIRE_SECURE_READER_INIT_PARAM_NAME

See Also:
  Constant Field Values

### DIAGNOSTIC_MODE_INIT_PARAM_NAME

    public static final String DIAGNOSTIC_MODE_INIT_PARAM_NAME

See Also:
  Constant Field Values

### NO_PKCS11_INIT_PARAM_NAME

    public static final String NO_PKCS11_INIT_PARAM_NAME

See Also:
  Constant Field Values

### IDENTITY_SERVICE_INIT_PARAM_NAME

    public static final String IDENTITY_SERVICE_INIT_PARAM_NAME

See Also:
  Constant Field Values

Constructor Detail

### HelloMessageHandler

    public HelloMessageHandler()

Method Detail

### handleMessage

    public Object handleMessage(be.fedict.eid.applet.shared.HelloMessage message,
                                Map<String,String> httpHeaders,
                                HttpServletRequest request,
                                HttpSession session)
                         throws ServletException

  Description copied from interface: `MessageHandler`
  Handles the given message. Returns the response message to send back, this can be `null`.

  Specified by:
    `handleMessage` in interface `MessageHandler<be.fedict.eid.applet.shared.HelloMessage>`
    `request` - the request from which the body already may be consumed.
  Returns:
    the optional response message to send back.
  Throws:
    `ServletException`

### getClientLanguage

    public static String getClientLanguage(HttpSession httpSession)

### init

    public void init(ServletConfig config)
              throws ServletException

  Description copied from interface: `MessageHandler`
  Initializes this message handler.

  Specified by:
    `init` in interface `MessageHandler<be.fedict.eid.applet.shared.HelloMessage>`
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 FedICT. All Rights Reserved.